#!/usr/bin/env python

outfilename = 'shear_thumbwin.html'
res = "200_500"
thumbwidth, thumbheight = res.split('_')

head = """
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
  <meta content="text/html; charset=ISO-8859-1"
 http-equiv="content-type">
  <title>thumbnails.html</title>
  <SCRIPT LANGUAGE="JavaScript">
  function openWin(URL) {
  aWindow=window.open(URL,URL,"toolbar=no,status=no,width=570,height=740");
  }
  </SCRIPT>
</head>
<body>
"""

tabledef = """
<table style="vertical-align: middle;" border="1"
 cellpadding="2" cellspacing="2">
  <tbody>
    <tr>
      <td>cruise </td>
      <td width = %(thumbwidth)s>uv shear spec </td>
      <td width = %(thumbwidth)s>beamvel shear spec </td>
      <td  width = %(thumbwidth)s>diffz(beamvel) stddev </td>
      <td  width = %(thumbwidth)s>vel </td>
      <td  width = %(thumbwidth)s>shear </td>
    </tr>
""" % locals()

tail = """
  </tbody>
</table>
</body>
</html>
"""

tr_head = "<tr>\n"
tr_tail = "</tr>\n"
td_head = "    <td>\n"
td_tail = "    </td>\n"




cruises = (
    'km0401_os38bb',
    'km0401_os38nb',
    'km0405_os38bb',
    'km0405_os38nb',
    'km0406_os38bb',
    'km0406_os38nb',
    'km0408_os38bb',
    'km0408_os38nb',
    'km0414a_os38bb',
    'km0414a_os38nb',
    'km0415_os38bb',
    'km0415_os38nb',
    'km0507_os38bb',
    'km0507_os38nb',
    'w0501bc_os75bb',
    'w0501bc_os75nb',
    'HOT149_hr2_150_600',
    'HOT149_hr4_150_600',
    'HOT159_nb150',
    'HOT149_nb_75_275',
    'HOT149_hr2_75_275',
    'HOT149_hr4_75_275')





notes = {"HOT149_nb_75_275" : ('', 'NA no NB150 single ping data',
                                   'NA no NB150 single ping data', '', ''),
         "HOT149_hr2_75_275" : ('','NA beamwise shear spectra; see 4-beam version',
                                   'NA beamwise shear spectra; see 4-beam version',
                                   '', ''),
         "HOT149_hr2_150_600" : ('','NA beamwise shear spectra; see 4-beam version',
                                   'NA beamwise shear spectra; see 4-beam version',
                                   '', ''),
         "HOT149_hr4_75_275" : ('', '', 'NA beamwise diffz(velocity) stddev; see 4-beam deep version',
                                   '', '')}

subplots = ("ss", "beamss", "raw_velstd", "vel", "shear")

def text_cell(text):
    s = '        %s\n' % text
    return td_head + s + td_tail

def text_link(text, target):
    s = '        <a href="%s">%s</a>\n' % (target, text)
    return td_head + s + td_tail

def img_link(text, thumb, target):
    s = '''        <a href="javascript:openWin('%s');"> <img alt="%s" src="%s">\n''' % (target, text, thumb)
    return td_head + s + td_tail

def tablerow(cruise_inst):
    cruise, inst = cruise_inst.split('_', 1)
    s = text_cell('%s <br> %s' % (cruise, inst))

    crnotes = notes.get(cruise_inst, None)
    for ii, sub in enumerate(subplots):
        if crnotes and crnotes[ii]:
            s += text_cell(crnotes[ii])
        else:
            target = "./%s_%s.png" % (cruise_inst, sub)
            thumb = "./thumbnails/%s_%s_%s.png" % (cruise_inst, sub, res)
            text = target
            s += img_link(text, thumb, target)
    return tr_head + s + tr_tail


def write_file(outfilename):
    outfile = open(outfilename, 'w')
    outfile.write(head)
    outfile.write(tabledef)
    for cruise in cruises:
        outfile.write(tablerow(cruise))

    outfile.write(tail)
    outfile.close()

if __name__ == '__main__':
    write_file(outfilename)



